---
title: "Delete Product"
source_url: https://docs.rapyd.net/en/delete-product.html
lang: en
---

# Delete Product

Delete a product or service from the Rapyd platform.

This action also deletes all associated plans.

> **Note:**
>
> You cannot delete a product that is associated with an active subscription. To find subscriptions associated with a product, see [List Subscriptions](https://docs.rapyd.net/en/list-subscriptions.md "List Subscriptions").

This method triggers the **Product Deleted** webhook. This webhook contains the same information as the response.

### Parameters

### Request Path Parameters

- - product
  - ID of the product.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - deleted
  - Indicates whether the product was deleted.
- - id
  - ID of the product. String starting with **product_**.

### Code Samples

- - .NET

    - ```
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string product = "product_c015fad9ac74546b8b25aa8f588bda57";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("DELETE", $"/v1/products/{product}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'DELETE',
            '/v1/products/product_c015fad9ac74546b8b25aa8f588bda57'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php

      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('delete', '/v1/products/product_c015fad9ac74546b8b25aa8f588bda57');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      result = make_request(method='delete', path='/v1/products/product_c015fad9ac74546b8b25aa8f588bda57')
      pprint(result)
      ```

- /v1/products/:product

- Delete Product
- ```curl
  curl -X delete 'https://sandboxapi.rapyd.net/v1/products/product_c015fad9ac74546b8b25aa8f588bda57' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a327adef-a15c-499e-9a43-7ea32678354d"
      },
      "data": {
          "deleted": true,
          "id": "product_94f575fe0c11a26723f91db5ceef2c25"
      }
  }
  ```
